import { h, Host } from "@stencil/core";
import { BEM } from "../../utils/bem";
export class Sheet {
    constructor() {
        /**
         * Defines content width of the stage
         */
        this.containerSize = '';
    }
    render() {
        const block = BEM.block('sheet');
        const container = block.element('container');
        const containerInner = container.element('inner');
        const containerModifier = this.containerSize !== '' ? `is-${this.containerSize}` : '';
        return (h(Host, { key: '1277fe42a8e474e6e6e56524e80c172057409e68', class: Object.assign({}, block.class()) }, h("div", { key: '489dfea1ce595b5f39871bff43f2bb2183ee2d0e', class: Object.assign(Object.assign({}, container.class()), { container: true, [containerModifier]: true }) }, h("div", { key: 'f8c101d9aeb9a4e95e4723c9a7d314b6117eaa99', class: Object.assign({}, containerInner.class()) }, h("slot", { key: 'd7c4dc1e3eb207ec9c34e8b1fd92aaa9301fcd16' })))));
    }
    static get is() { return "bal-sheet"; }
    static get originalStyleUrls() {
        return {
            "$": ["bal-sheet.sass"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bal-sheet.css"]
        };
    }
    static get properties() {
        return {
            "containerSize": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "BalProps.BalSheetContainer",
                    "resolved": "\"\" | \"blog-page\" | \"compact\" | \"detail-page\" | \"fluid\"",
                    "references": {
                        "BalProps": {
                            "location": "global",
                            "id": "global::BalProps"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Defines content width of the stage"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "container-size",
                "defaultValue": "''"
            }
        };
    }
}
